<?php
// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if (!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true) {
    header("location: ../login");
    exit;
}

require_once "../config.php";

// Prepare a select statement
$sql = "SELECT id, title, content, videoID, author, date, category FROM posts";
$result = $mysqli->query($sql);

$pageTitle = "Painel de Controle";
$styleSheetPath = "/control-panel/style.css"
?>
<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/header/header.php'; ?>

<div class="controlButtons">
    <a href="../post/new" class="button control newPost"><i class="fas fa-newspaper"></i> Novo Post</a>
    <a href="../register" class="button control newUser"><i class="fas fa-user"></i> Novo Usuário</a>
    <a href="/logout" class="button control logout"><i class="fas fa-sign-out-alt"></i>  Sair</a>
</div>
<?php if ($result->num_rows > 0) { ?>
    <table class="table">
        <thead class="thead">
            <td>ID</td>
            <td>Título</td>
            <td>Conteúdo</td>
            <td>ID do vídeo</td>
            <td>Autor</td>
            <td>Data</td>
            <td>Categoria</td>
            <td>Opções</td>
        </thead>

        <?php while ($row = $result->fetch_assoc()) {
            $content = $row["content"];
            if (substr($content, 0, 4) === "<img") {
                $content = explode("/>", $content, 2)[1];
            }
            echo "<tr>"
                . "<td>" . $row["id"] . "</td>"
                . "<td>" . $row["title"] . "</td>"
                . "<td>" . mb_strimwidth($content, 0, 50, "...") . "</td>"
                . "<td>" . $row["videoID"] . "</td>"
                . "<td>" . $row["author"] . "</td>"
                . "<td>" . $row["date"] . "</td>"
                . "<td>" . $row["category"] . "</td>"
                . "<td>"
                . "<div style='display: flex;'>"
                .    "<a href='../post/edit?id=" . $row["id"] .  "' class='button'>Editar</a> "
                .    " <a href='../post/delete?id=" . $row["id"] . "' class='button'>Apagar</a>"
                . "</div>"
                . "</td>";

            echo "</tr>";
        } ?>
    </table>

<?php
} else {
    echo "0 results";
}
$mysqli->close();
?>
<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/footer/footer.php'; ?>