<?php
require_once "config.php";


// Prepare a select statement
$allPostsQuery = "SELECT id, title, content, videoID, author, category,date FROM posts ORDER BY id DESC";

$allPosts = $mysqli->query($allPostsQuery);

$pageTitle = "Página Inicial";
$styleSheetPath = '/style.css'
?>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/header/header.php'; ?>

<div class="postsContainer">

    <?php

    if (mysqli_num_rows($allPosts)==0) {
        echo "<p style='color: white'> Nenhum dado foi encontrado!</p>";
    }

    while ($post = $allPosts->fetch_assoc()) {
        // everything ultil ·
        //$arr = explode("/", $string, 2); $first = $arr[0];
        $postID = $post["id"];
        $postTitle = $post["title"];
        $postAuthor = $post["author"];
        $postContent = mb_strimwidth($post["content"], 0, 200, "...");
        $postVideoID = $post["videoID"];
        $postDate = $post["date"];
        $postCategory = $post["category"];
        $className = substr($postContent, 0, 4) === "<img" ? "" : "noVideo";

        if (empty($postVideoID)) {

            // SEM VIDEO COM IMAGEM
            if (substr($postContent, 0, 4) === "<img") {
                $img = explode("/>", $postContent, 2)[0] . "/>";
                echo <<<HTML
                    <a class='post' href='/post?id=$postID'>
                        
                        <div class="imgDiv">$img</div>
                        
                        <div class='title'>$postTitle</div>
                        <div class='author'><i class="fas fa-user-edit"></i> $postAuthor</div>
                        <!-- <div class="tag text">POST</div> -->
                        <div class='date'><i class="far fa-calendar-alt"></i> $postDate</div>
                    </a>
                    HTML;
            } else {

                // SEM VIDEO SEM IMAGEM
                echo <<<HTML
                    <a class='post noVideo' href='/post?id=$postID'>
                        <div class='title'>$postTitle</div>
                        <div class='author'><i class="fas fa-user-edit"></i> $postAuthor</div>
                        <div class='date'><i class="far fa-calendar-alt"></i> $postDate</div>
                        <br>&nbsp;<div class="line">&nbsp;</div><br>
                        <div class='content'><pre>$postContent</pre></div>
                        <div class="readMore">Continue Lendo</div>
                    </a>
                    HTML;
            }
        } else {
            // VIDEO POST
            echo <<<HTML
            <a class='post' href='/post?id=$postID'>
                <div class="imgDiv">
                    <img src='http://i3.ytimg.com/vi/$postVideoID/mqdefault.jpg'>
                </div>
                
                <div class='title'>$postTitle</div>
                <span class='author'><i class="fas fa-user-edit"></i> $postAuthor</span>
                <div class="tag video">$postCategory</div>
                <span class='date'><i class="far fa-calendar-alt"></i> $postDate</span>
            </a>
            HTML;
        }
    } ?>


</div>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/footer/footer.php'; ?>