<!-- TODO(ADICIONAR DATA E ACTIVE NO FORM E NO BANCO DE DADOS) -->
<?php

/*

SELECT POST
PUT INTO FIELDS
------FEITO-----

WHEN BUTTON CLICK
VALIDATE FIELDS

UPDATE DATA
HEADER TO CONTROL PANEL

*/

// Initialize the session
session_start();

// Check if the user is logged in, if not then redirect him to login page
if (!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true) {
    header("location: ../../login");
    exit;
}


require_once "../../config.php";

if (isset($_GET["id"])) {
    $id = $_GET["id"];
    // Find the post with the selected ID
    $selectSql = "SELECT * FROM posts WHERE id=?";
    $stmt = $mysqli->prepare($selectSql);
    $stmt->bind_param("i", $id);
    if ($stmt->execute()) {
        //SUCCESSFULLY GOT POTS INFO
    } else {
        echo "Something went wrong. Please try again later.";
    }

    $result = $stmt->get_result();
    $post = $result->fetch_assoc();
    // print_r($post["title"]);
    $title = $post["title"];
    $content = $post["content"];
    $author = $post["author"];
    $videoID = $post["videoID"];
    $date = $post["date"];
    $category = $post["category"];
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Validate fields

    // if (empty($title) || empty($content) || empty($author)) {
    // $empty_err = "Todos campos com <b>*</b> precisam ser preenchidos";
    // }

    // Check input errors before inserting in database
    // if (empty($empty_err)) {

    // Prepare an insert statement
    $id = $_POST["id"];
    $sql = "UPDATE posts SET title = ?, content = ?, author = ?, videoID = ?, date = ?, category = ? WHERE id = $id";

    if ($stmt = $mysqli->prepare($sql)) {
        // Bind variables to the prepared statement as parameters
        $stmt->bind_param("ssssss", $param_title, $param_content, $param_author, $param_videoID, $param_date, $param_category);

        // Set parameters
        $param_title = $_POST["title"];
        $param_content = $_POST["content"];
        $param_author = $_POST["author"];
        $param_videoID = (empty($_POST["videoID"])) ? NULL : $_POST["videoID"];
        $param_date = $_POST["date"];
        $param_category = $_POST["category"];;

        // Attempt to execute the prepared statement
        if ($stmt->execute()) {
            // Redirect to login page
            header("location: ../../control-panel");
        } else {
            echo "Something went wrong. Please try again later.";
        }

        // Close statement
        $stmt->close();
    }
    // }

    // Close connection
    $mysqli->close();
}
$pageTitle = "Editar";
$styleSheetPath = "/post/edit/style.css";
?>

<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/header/header.php'; ?>
<div class="container">
    <div class="wrapper">
        <h2>Edit Post</h2>
        <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
            <span class="help-block"><?php echo $empty_err; ?></span>
            <div class="form-group">
                <label>Título *</label>
                <input type="text" name="title" class="form-control" value="<?php echo $title; ?>">
            </div>
            <div class="form-group">
                <label>Conteudo/Descrição *</label>
                <textarea type="text" name="content" class="form-control content"><?php echo $content; ?></textarea>

            </div>
            <div class=" form-group">
                <label>Autor *</label>
                <input type="text" name="author" class="form-control" value="<?php echo $author; ?>">

            </div>
            <div class="form-group">
                <label>ID do Vídeo</label>
                <input type="text" name="videoID" class="form-control" value="<?php echo $videoID; ?>">

            </div>
            <div class="form-group">
                <label for="category">Selecione uma Categoria</label>
                <br>
                <select class="select-box" name="category">
                    <option <?php echo $category == "ARTES VISUAIS" ? "selected ":"";  ?> value="ARTES VISUAIS">Artes Visuais</option>
                    <option <?php echo $category == "ARTES CÊNICAS" ? "selected ":"";  ?> value="ARTES CÊNICAS">Artes Cênicas</option>
                    <option <?php echo $category == "LITERATURA" ? "selected ":"";  ?> value="LITERATURA">Literatura</option>
                    <option <?php echo $category == "DANÇA" ? "selected ":"";  ?> value="DANÇA">Dança</option>
                    <option <?php echo $category == "MÚSICA" ? "selected ":"";  ?> value="MÚSICA">Música</option>
                    <option <?php echo $category == "DANÇA" ? "selected ":"";  ?> value="DANÇA">Dança</option>
                    <option <?php echo $category == "CULTURA POPULAR" ? "selected ":"";  ?> value="CULTURA POPULAR">Cultura Popular</option>
                    <option <?php echo $category == "PROJETOS ARTÍSTICO-CULTURAIS" ? "selected ":"";  ?> value="PROJETOS ARTÍSTICO-CULTURAIS">Projetos Artístico-Culturais</option>
                    <option <?php echo $category == "IDEIAS CULTURAIS" ? "selected ":"";  ?> value="IDEIAS CULTURAIS">Ideias Culturais</option>
                </select>
            </div>
            <div class="form-group">
                <label>Data * <i>Ex: 31/02/2021</i></label>
                <br>
                <input type="date" required pattern="[0-9]{2}-[0-9]{2}/[0-9]{4}" name="date" class="form-control" value="<?php echo $date; ?>">

            </div>
            <input type="hidden" name="id" value="<?php echo $id; ?>">
            <div class="form-group">
                <input type="submit" class="btn btn-primary" value="Submit">
                <input type="reset" class="btn btn-default" value="Reset">
            </div>
        </form>
    </div>
</div>
<?php include $_SERVER['DOCUMENT_ROOT'] . '/templates/footer/footer.php'; ?>
